;; ---------------------------------------------------------------------
;; Racket's primitive displayln works line print in Python but takes
;; only one argument.  I wrote display-line so that I can pass as
;; many arguments as I'd like.
;; ---------------------------------------------------------------------

#lang racket
(provide display-line)

(define display-line
  (lambda args
    (for-each (lambda (x)
                (display x)
                (display " "))
              args)
    (newline)))
